# Generated by Django 4.2.6 on 2023-11-04 18:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_en', models.CharField(max_length=255, null=True)),
                ('name_ja', models.CharField(max_length=255, null=True)),
                ('name_ko', models.CharField(max_length=255, null=True)),
                ('flag', models.IntegerField(null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('wikiDataId', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('iso3', models.CharField(blank=True, max_length=3, null=True)),
                ('numeric_code', models.CharField(blank=True, max_length=3, null=True)),
                ('iso2', models.CharField(blank=True, max_length=2, null=True)),
                ('phone_code', models.CharField(blank=True, max_length=255, null=True)),
                ('capital', models.CharField(blank=True, max_length=255, null=True)),
                ('currency', models.CharField(blank=True, max_length=255, null=True)),
                ('currency_name', models.CharField(blank=True, max_length=255, null=True)),
                ('currency_symbol', models.CharField(blank=True, max_length=255, null=True)),
                ('tld', models.CharField(blank=True, max_length=255, null=True)),
                ('native', models.CharField(blank=True, max_length=255, null=True)),
                ('nationality', models.CharField(blank=True, max_length=255, null=True)),
                ('timezones', models.TextField(blank=True, null=True)),
                ('emoji', models.CharField(blank=True, max_length=255, null=True)),
                ('emojiU', models.CharField(blank=True, max_length=255, null=True)),
            ],
            options={
                'verbose_name': 'country',
                'verbose_name_plural': 'countries',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Region',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_en', models.CharField(max_length=255, null=True)),
                ('name_ja', models.CharField(max_length=255, null=True)),
                ('name_ko', models.CharField(max_length=255, null=True)),
                ('flag', models.IntegerField(null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('wikiDataId', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
            ],
            options={
                'verbose_name': 'region',
                'verbose_name_plural': 'regions',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='Subregion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_en', models.CharField(max_length=255, null=True)),
                ('name_ja', models.CharField(max_length=255, null=True)),
                ('name_ko', models.CharField(max_length=255, null=True)),
                ('flag', models.IntegerField(null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('wikiDataId', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('region', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.region')),
            ],
            options={
                'verbose_name': 'subregion',
                'verbose_name_plural': 'subregions',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='State',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_en', models.CharField(max_length=255, null=True)),
                ('name_ja', models.CharField(max_length=255, null=True)),
                ('name_ko', models.CharField(max_length=255, null=True)),
                ('flag', models.IntegerField(null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('wikiDataId', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('country_code', models.CharField(blank=True, max_length=2, null=True)),
                ('country_name', models.CharField(blank=True, max_length=255, null=True)),
                ('state_code', models.CharField(blank=True, max_length=255, null=True)),
                ('fips_code', models.CharField(blank=True, max_length=255, null=True)),
                ('iso2', models.CharField(blank=True, max_length=255, null=True)),
                ('type', models.CharField(blank=True, max_length=191, null=True)),
                ('country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.country')),
            ],
            options={
                'verbose_name': 'state',
                'verbose_name_plural': 'states',
                'ordering': ['-created_at'],
            },
        ),
        migrations.AddField(
            model_name='country',
            name='region',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.region'),
        ),
        migrations.AddField(
            model_name='country',
            name='subregion',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.subregion'),
        ),
        migrations.CreateModel(
            name='City',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('name_en', models.CharField(max_length=255, null=True)),
                ('name_ja', models.CharField(max_length=255, null=True)),
                ('name_ko', models.CharField(max_length=255, null=True)),
                ('flag', models.IntegerField(null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=15, max_digits=20, null=True)),
                ('wikiDataId', models.CharField(blank=True, max_length=255, null=True)),
                ('translations', models.TextField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_at', models.DateTimeField(auto_now=True, null=True)),
                ('country_code', models.CharField(blank=True, max_length=2, null=True)),
                ('country_name', models.CharField(blank=True, max_length=255, null=True)),
                ('state_code', models.CharField(blank=True, max_length=255, null=True)),
                ('state_name', models.CharField(blank=True, max_length=255, null=True)),
                ('country', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.country')),
                ('state', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='countries_states_cities.state')),
            ],
            options={
                'verbose_name': 'city',
                'verbose_name_plural': 'cities',
                'ordering': ['-created_at'],
            },
        ),
    ]
